/**
 * Theme Customizer custom scripts
 * Control of show/hide events on feature slider type selection
 */
(function($) {

    /*
     * For Featured Content on featured_content_type change event
     */
    $("#customize-control-catchbase_theme_options-featured_content_type label select").live( "change", function() {
        var value = $(this).val();

        if (value == 'demo-featured-content') {
            $('#customize-control-catchbase_theme_options-featured_content_number').hide();
            $('#customize-control-catchbase_theme_options-featured_content_headline').hide();
            $('#customize-control-catchbase_theme_options-featured_content_subheadline').hide();
            $('#customize-control-catchbase_theme_options-featured_content_show').hide();
        } else {
            $('#customize-control-catchbase_theme_options-featured_content_number').show();
            $('#customize-control-catchbase_theme_options-featured_content_headline').show();
            $('#customize-control-catchbase_theme_options-featured_content_subheadline').show();
            $('#customize-control-catchbase_theme_options-featured_content_show').show();
        }

        if( value == 'featured-post-content' ) {
            $('[id*=customize-control-catchbase_featured_content_post]').show();
        }
        else {
            $('[id*=customize-control-catchbase_featured_content_post]').hide();
        }
        
        if( value == 'featured-page-content' ) {
            $('[id*=customize-control-catchbase_featured_content_page]').show();
        }
        else {
            $('[id*=customize-control-catchbase_featured_content_page]').hide();
        }
        
        if( value == 'featured-category-content' ) {
            $('#customize-control-catchbase_featured_content_select_category').show();
        }
        else {
            $('#customize-control-catchbase_featured_content_select_category').hide();
        }

        if( value == 'featured-image-content' ) {
            $('[id*=customize-control-featured_content_note]').show();
            $('[id*=customize-control-featured_content_image]').show();
            $('[id*=customize-control-catchbase_theme_options-featured_content_link]').show();
            $('[id*=customize-control-catchbase_theme_options-featured_content_target]').show();
            $('[id*=customize-control-catchbase_theme_options-featured_content_title]').show();
            $('[id*=customize-control-catchbase_theme_options-featured_content_content]').show();
        }
        else {
            $('[id*=customize-control-featured_content_note]').hide();
            $('[id*=customize-control-featured_content_image]').hide();
            $('[id*=customize-control-catchbase_theme_options-featured_content_link]').hide();
            $('[id*=customize-control-catchbase_theme_options-featured_content_target]').hide();
            $('[id*=customize-control-catchbase_theme_options-featured_content_title]').hide();
            $('[id*=customize-control-catchbase_theme_options-featured_content_content]').hide();
        }
    });

    /**
     * Control of show/hide events on feature content type selection on panel click if prevously value has been saved
     */
    $('#accordion-panel-catchbase_featured_content_options .accordion-section-title').live( "click", function() {
        var value = $("#customize-control-catchbase_theme_options-featured_content_type label select").val();
        
        if (value == 'demo-featured-content') {
            $('#customize-control-catchbase_theme_options-featured_content_number').hide();
            $('#customize-control-catchbase_theme_options-featured_content_headline').hide();
            $('#customize-control-catchbase_theme_options-featured_content_subheadline').hide();
            $('#customize-control-catchbase_theme_options-featured_content_show').hide();
        } else {
            $('#customize-control-catchbase_theme_options-featured_content_number').show();
            $('#customize-control-catchbase_theme_options-featured_content_headline').show();
            $('#customize-control-catchbase_theme_options-featured_content_subheadline').show();
            $('#customize-control-catchbase_theme_options-featured_content_show').show();
        }

       if( value == 'featured-post-content' ) {
            $('[id*=customize-control-catchbase_featured_content_post]').show();
        }
        else {
            $('[id*=customize-control-catchbase_featured_content_post]').hide();
        }
        
        if( value == 'featured-page-content' ) {
            $('[id*=customize-control-catchbase_featured_content_page]').show();
            }
        else {
            $('[id*=customize-control-catchbase_featured_content_page]').hide();
        }
        
        if( value == 'featured-category-content' ) {
            $('#customize-control-catchbase_featured_content_select_category').show();
        }
        else {
            $('#customize-control-catchbase_featured_content_select_category').hide();
        }

        if( value == 'featured-image-content' ) {
            $('[id*=customize-control-featured_content_note]').show();
            $('[id*=customize-control-featured_content_image]').show();
            $('[id*=customize-control-catchbase_theme_options-featured_content_link]').show();
            $('[id*=customize-control-catchbase_theme_options-featured_content_target]').show();
            $('[id*=customize-control-catchbase_theme_options-featured_content_title]').show();
            $('[id*=customize-control-catchbase_theme_options-featured_content_content]').show();
        }
        else {
            $('[id*=customize-control-featured_content_note]').hide();
            $('[id*=customize-control-featured_content_image]').hide();
            $('[id*=customize-control-catchbase_theme_options-featured_content_link]').hide();
            $('[id*=customize-control-catchbase_theme_options-featured_content_target]').hide();
            $('[id*=customize-control-catchbase_theme_options-featured_content_title]').hide();
            $('[id*=customize-control-catchbase_theme_options-featured_content_content]').hide();
        }
    });

    /*
     * For Feature Slider on featured_slider_type click event
     */

    $('#accordion-panel-catchbase_featured_slider .accordion-section-title').live( "click", function() {
        var value = $("#customize-control-catchbase_featured_slider_type label select").val();

        if (value == 'demo-featured-slider') {
            $('#customize-control-catchbase_featured_slide_number').hide();
        } else {
            $('#customize-control-catchbase_featured_slide_number').show();
        }

        if( value == 'featured-post-slider' ) {
            $('[id*=customize-control-catchbase_featured_slider_post]').show();
            $('[id*=customize-control-catchbase_theme_options-exclude_slider_post]').show();
        }
        else {
            $('[id*=customize-control-catchbase_featured_slider_post]').hide();
            $('[id*=customize-control-catchbase_theme_options-exclude_slider_post]').hide();
        }

        if( value == 'featured-page-slider' ) {
            $('[id*=customize-control-catchbase_featured_slider_page]').show();
        }
        else {
            $('[id*=customize-control-catchbase_featured_slider_page]').hide();
        }

        if( value == 'featured-category-slider' ) {
            $('#customize-control-catchbase_featured_slider_select_category').show();
        }
        else {
            $('#customize-control-catchbase_featured_slider_select_category').hide();
        }

        if( value == 'featured-image-slider' ) {
            $('[id*=customize-control-featured_slider_image]').show();
            $('[id*=customize-control-catchbase_theme_options-featured_link]').show();
            $('[id*=customize-control-featured_slider_image]').show();
            $('[id*=customize-control-catchbase_theme_options-featured_link]').show();
            $('[id*=customize-control-featured_slider_note]').show();
            $('[id*=customize-control-catchbase_theme_options-featured_target]').show();
            $('[id*=customize-control-catchbase_theme_options-featured_title]').show();
            $('#accordion-section-catchbase_featured_slider [id*=customize-control-catchbase_theme_options-featured_content]').show();
        }
        else {
            $('[id*=customize-control-featured_slider_image]').hide();
            $('[id*=customize-control-catchbase_theme_options-featured_link]').hide();
            $('[id*=customize-control-featured_slider_note]').hide();
            $('[id*=customize-control-catchbase_theme_options-featured_target]').hide();
            $('[id*=customize-control-catchbase_theme_options-featured_title]').hide();
            $('#accordion-section-catchbase_featured_slider [id*=customize-control-catchbase_theme_options-featured_content]').hide();
        }

    });

    $("#customize-control-catchbase_featured_slider_type label select").live( "change", function() {
        var value = $(this).val();

        if (value == 'demo-featured-slider') {
            $('#customize-control-catchbase_featured_slide_number').hide();
        } else {
            $('#customize-control-catchbase_featured_slide_number').show();
        }

        if( value == 'featured-post-slider' ) {
            $('[id*=customize-control-catchbase_featured_slider_post]').show();
            $('[id*=customize-control-catchbase_theme_options-exclude_slider_post]').show();
        }
        else {
            $('[id*=customize-control-catchbase_featured_slider_post]').hide();
            $('[id*=customize-control-catchbase_theme_options-exclude_slider_post]').hide();
        }

        if( value == 'featured-page-slider' ) {
            $('[id*=customize-control-catchbase_featured_slider_page]').show();
        }
        else {
            $('[id*=customize-control-catchbase_featured_slider_page]').hide();
        }

        if( value == 'featured-category-slider' ) {
            $('#customize-control-catchbase_featured_slider_select_category').show();
        }
        else {
            $('#customize-control-catchbase_featured_slider_select_category').hide();
        }

        if( value == 'featured-image-slider' ) {
            $('[id*=customize-control-featured_slider_image]').show();
            $('[id*=customize-control-catchbase_theme_options-featured_link]').show();
            $('[id*=customize-control-featured_slider_image]').show();
            $('[id*=customize-control-catchbase_theme_options-featured_link]').show();
            $('[id*=customize-control-featured_slider_note]').show();
            $('[id*=customize-control-catchbase_theme_options-featured_target]').show();
            $('[id*=customize-control-catchbase_theme_options-featured_title]').show();
            $('#accordion-section-catchbase_featured_slider [id*=customize-control-catchbase_theme_options-featured_content]').show();
        }
        else {
            $('[id*=customize-control-featured_slider_image]').hide();
            $('[id*=customize-control-catchbase_theme_options-featured_link]').hide();
            $('[id*=customize-control-featured_slider_note]').hide();
            $('[id*=customize-control-catchbase_theme_options-featured_target]').hide();
            $('[id*=customize-control-catchbase_theme_options-featured_title]').hide();
            $('#accordion-section-catchbase_featured_slider [id*=customize-control-catchbase_theme_options-featured_content]').hide();
        }

    });


    //For Color Scheme Change
    $("#customize-control-catchbase_theme_options-color_scheme").live( "change", function() {
        var value = $('#customize-control-catchbase_theme_options-color_scheme input:checked').val();
        if ( 'dark' == value ) {
            $('#customize-control-background_color .color-picker-hex').iris('color', '#111111');
            $('#customize-control-catchbase_theme_options-text_color .color-picker-hex').iris('color', '#aaaaaa');
            $('#customize-control-catchbase_theme_options-link_color .color-picker-hex').iris('color', '#e4741f');
            $('#customize-control-catchbase_theme_options-link_hover_color .color-picker-hex').iris('color', '#dddddd');
            
            $('#customize-control-header_textcolor .color-picker-hex').iris('color', '#dddddd');
            $('#customize-control-catchbase_theme_options-header_background_color .color-picker-hex').iris('color', '#111111');
            $('#customize-control-catchbase_theme_options-site_title_hover_color .color-picker-hex').iris('color', '#e4741f');
            $('#customize-control-catchbase_theme_options-tagline_color .color-picker-hex').iris('color', '#dddddd');
            
            $('#customize-control-catchbase_theme_options-content_wrapper_background_color .color-picker-hex').iris('color', '#222222');
            $('#customize-control-catchbase_theme_options-content_background_color .color-picker-hex').iris('color', '#222222');
            $('#customize-control-catchbase_theme_options-content_title_color .color-picker-hex').iris('color', '#dddddd');
            $('#customize-control-catchbase_theme_options-content_title_hover_color .color-picker-hex').iris('color', '#e4741f');
            $('#customize-control-catchbase_theme_options-content_meta_color .color-picker-hex').iris('color', '#e4741f');
            $('#customize-control-catchbase_theme_options-content_meta_hover_color .color-picker-hex').iris('color', '#dddddd');

            $('#customize-control-catchbase_theme_options-sidebar_background_color .color-picker-hex').iris('color', '#222222');
            $('#customize-control-catchbase_theme_options-sidebar_widget_title_color .color-picker-hex').iris('color', '#dddddd');
            $('#customize-control-catchbase_theme_options-sidebar_widget_text_color .color-picker-hex').iris('color', '#aaaaaa');
            $('#customize-control-catchbase_theme_options-sidebar_widget_link_color .color-picker-hex').iris('color', '#e4741f');

            $('#customize-control-catchbase_theme_options-pagination_background_color .color-picker-hex').iris('color', '#202020');
            $('#customize-control-catchbase_theme_options-pagination_hover_background_color .color-picker-hex').iris('color', '#202020');
            $('#customize-control-catchbase_theme_options-pagination_text_color .color-picker-hex').iris('color', '#aaaaaa');
            $('#customize-control-catchbase_theme_options-pagination_link_color .color-picker-hex').iris('color', '#e4741f');
            $('#customize-control-catchbase_theme_options-pagination_hover_active_color .color-picker-hex').iris('color', '#000000');
            $('#customize-control-catchbase_theme_options-numeric_infinite_scroll_background_color .color-picker-hex').iris('color', '#444444');
            $('#customize-control-catchbase_theme_options-numeric_infinite_scroll_hover_background_color .color-picker-hex').iris('color', '#dddddd');

            $('#customize-control-catchbase_theme_options-footer_background_color .color-picker-hex').iris('color', '#000000');
            $('#customize-control-catchbase_theme_options-footer_text_color .color-picker-hex').iris('color', '#aaaaaa');
            $('#customize-control-catchbase_theme_options-footer_link_color .color-picker-hex').iris('color', '#dddddd');
            $('#customize-control-catchbase_theme_options-footer_sidebar_area_background_color .color-picker-hex').iris('color', '#222222');
            $('#customize-control-catchbase_theme_options-footer_widget_background_color .color-picker-hex').iris('color', '#222222');
            $('#customize-control-catchbase_theme_options-footer_widget_title_color .color-picker-hex').iris('color', '#dddddd');
            $('#customize-control-catchbase_theme_options-footer_widget_text_color .color-picker-hex').iris('color', '#aaaaaa');
            $('#customize-control-catchbase_theme_options-footer_widget_link_color .color-picker-hex').iris('color', '#e4741f');
            

            $('#customize-control-catchbase_theme_options-promotion_headline_background_color .color-picker-hex').iris('color', '#222222');
            $('#customize-control-catchbase_theme_options-promotion_headline_text_color .color-picker-hex').iris('color', '#aaaaaa');
            $('#customize-control-catchbase_theme_options-promotion_headline_link_color .color-picker-hex').iris('color', '#e4741f');
            $('#customize-control-catchbase_theme_options-promotion_headline_button_background_color .color-picker-hex').iris('color', '#f2f2f2');
            $('#customize-control-catchbase_theme_options-promotion_headline_button_text_color .color-picker-hex').iris('color', '#666666');
            $('#customize-control-catchbase_theme_options-promotion_headline_button_hover_background_color .color-picker-hex').iris('color', '#f2f2f2');
            $('#customize-control-catchbase_theme_options-promotion_headline_button_hover_text_color .color-picker-hex').iris('color', '#666666');

            $('#customize-control-catchbase_theme_options-slider_background_color .color-picker-hex').iris('color', '#222222');

            $('#customize-control-catchbase_theme_options-featured_content_background_color .color-picker-hex').iris('color', '#222222');
            $('#customize-control-catchbase_theme_options-featured_content_title_color .color-picker-hex').iris('color', '#dddddd');
            $('#customize-control-catchbase_theme_options-featured_content_text_color .color-picker-hex').iris('color', '#aaaaaa');
            $('#customize-control-catchbase_theme_options-featured_content_link_color .color-picker-hex').iris('color', '#e4741f');

            $('#customize-control-catchbase_theme_options-menu_background_color .color-picker-hex').iris('color', '#333333');
            $('#customize-control-catchbase_theme_options-menu_color .color-picker-hex').iris('color', '#dddddd');
            $('#customize-control-catchbase_theme_options-hover_active_color .color-picker-hex').iris('color', '#333333');
            $('#customize-control-catchbase_theme_options-hover_active_text_color .color-picker-hex').iris('color', '#e4741f');
            $('#customize-control-catchbase_theme_options-sub_menu_background_color .color-picker-hex').iris('color', '#333333');
            $('#customize-control-catchbase_theme_options-sub_menu_text_color .color-picker-hex').iris('color', '#dddddd');

            $('#customize-control-catchbase_theme_options-secondary_menu_background_color .color-picker-hex').iris('color', '#111111');
            $('#customize-control-catchbase_theme_options-secondary_menu_color .color-picker-hex').iris('color', '#dddddd');
            $('#customize-control-catchbase_theme_options-secondary_hover_active_color .color-picker-hex').iris('color', '#111111');
            $('#customize-control-catchbase_theme_options-secondary_hover_active_text_color .color-picker-hex').iris('color', '#e4741f');
            $('#customize-control-catchbase_theme_options-secondary_sub_menu_background_color .color-picker-hex').iris('color', '#111111');
            $('#customize-control-catchbase_theme_options-secondary_sub_menu_text_color .color-picker-hex').iris('color', '#dddddd');

            $('#customize-control-catchbase_theme_options-header_right_menu_background_color .color-picker-hex').iris('color', '#111111');
            $('#customize-control-catchbase_theme_options-header_right_menu_color .color-picker-hex').iris('color', '#dddddd');
            $('#customize-control-catchbase_theme_options-header_right_hover_active_color .color-picker-hex').iris('color', '#111111');
            $('#customize-control-catchbase_theme_options-header_right_hover_active_text_color .color-picker-hex').iris('color', '#e4741f');
            $('#customize-control-catchbase_theme_options-header_right_sub_menu_background_color .color-picker-hex').iris('color', '#111111');
            $('#customize-control-catchbase_theme_options-header_right_sub_menu_text_color .color-picker-hex').iris('color', '#dddddd');

            $('#customize-control-catchbase_theme_options-footer_menu_background_color .color-picker-hex').iris('color', '#333333');
            $('#customize-control-catchbase_theme_options-footer_menu_color .color-picker-hex').iris('color', '#dddddd');
            $('#customize-control-catchbase_theme_options-footer_hover_active_color .color-picker-hex').iris('color', '#333333');
            $('#customize-control-catchbase_theme_options-footer_hover_active_text_color .color-picker-hex').iris('color', '#e4741f');
            $('#customize-control-catchbase_theme_options-footer_sub_menu_background_color .color-picker-hex').iris('color', '#333333');
            $('#customize-control-catchbase_theme_options-footer_sub_menu_text_color .color-picker-hex').iris('color', '#dddddd');
        }
        else {
            $('#customize-control-background_color .color-picker-hex').iris('color', '#f2f2f2');
            $('#customize-control-catchbase_theme_options-text_color .color-picker-hex').iris('color', '#404040');
            $('#customize-control-catchbase_theme_options-link_color .color-picker-hex').iris('color', '#21759b');
            $('#customize-control-catchbase_theme_options-link_hover_color .color-picker-hex').iris('color', '#404040');
            
            $('#customize-control-header_textcolor .color-picker-hex').iris('color', '#404040');
            $('#customize-control-catchbase_theme_options-header_background_color .color-picker-hex').iris('color', '#ffffff');
            $('#customize-control-catchbase_theme_options-site_title_hover_color .color-picker-hex').iris('color', '#21759b');
            $('#customize-control-catchbase_theme_options-tagline_color .color-picker-hex').iris('color', '#404040');
            
            $('#customize-control-catchbase_theme_options-content_wrapper_background_color .color-picker-hex').iris('color', '#ffffff');
            $('#customize-control-catchbase_theme_options-content_background_color .color-picker-hex').iris('color', '#ffffff');
            $('#customize-control-catchbase_theme_options-content_title_color .color-picker-hex').iris('color', '#404040');
            $('#customize-control-catchbase_theme_options-content_title_hover_color .color-picker-hex').iris('color', '#21759b');
            $('#customize-control-catchbase_theme_options-content_meta_color .color-picker-hex').iris('color', '#21759b');
            $('#customize-control-catchbase_theme_options-content_meta_hover_color .color-picker-hex').iris('color', '#404040');

            $('#customize-control-catchbase_theme_options-sidebar_background_color .color-picker-hex').iris('color', '#ffffff');
            $('#customize-control-catchbase_theme_options-sidebar_widget_title_color .color-picker-hex').iris('color', '#404040');
            $('#customize-control-catchbase_theme_options-sidebar_widget_text_color .color-picker-hex').iris('color', '#404040');
            $('#customize-control-catchbase_theme_options-sidebar_widget_link_color .color-picker-hex').iris('color', '#21759b');

            $('#customize-control-catchbase_theme_options-pagination_background_color .color-picker-hex').iris('color', '#ffffff');
            $('#customize-control-catchbase_theme_options-pagination_hover_background_color .color-picker-hex').iris('color', '#ffffff');
            $('#customize-control-catchbase_theme_options-pagination_text_color .color-picker-hex').iris('color', '#404040');
            $('#customize-control-catchbase_theme_options-pagination_link_color .color-picker-hex').iris('color', '#21759b');
            $('#customize-control-catchbase_theme_options-pagination_hover_active_color .color-picker-hex').iris('color', '#ffffff');
            $('#customize-control-catchbase_theme_options-numeric_infinite_scroll_background_color .color-picker-hex').iris('color', '#eeeeee');
            $('#customize-control-catchbase_theme_options-numeric_infinite_scroll_hover_background_color .color-picker-hex').iris('color', '#000000');

            $('#customize-control-catchbase_theme_options-footer_background_color .color-picker-hex').iris('color', '#ffffff');
            $('#customize-control-catchbase_theme_options-footer_text_color .color-picker-hex').iris('color', '#404040');
            $('#customize-control-catchbase_theme_options-footer_link_color .color-picker-hex').iris('color', '#21759b');
            $('#customize-control-catchbase_theme_options-footer_sidebar_area_background_color .color-picker-hex').iris('color', '#ffffff');
            $('#customize-control-catchbase_theme_options-footer_widget_background_color .color-picker-hex').iris('color', '#ffffff');
            $('#customize-control-catchbase_theme_options-footer_widget_title_color .color-picker-hex').iris('color', '#404040');
            $('#customize-control-catchbase_theme_options-footer_widget_text_color .color-picker-hex').iris('color', '#404040');
            $('#customize-control-catchbase_theme_options-footer_widget_link_color .color-picker-hex').iris('color', '#21759b');
            

            $('#customize-control-catchbase_theme_options-promotion_headline_background_color .color-picker-hex').iris('color', '#ffffff');
            $('#customize-control-catchbase_theme_options-promotion_headline_text_color .color-picker-hex').iris('color', '#404040');
            $('#customize-control-catchbase_theme_options-promotion_headline_link_color .color-picker-hex').iris('color', '#21759b');
            $('#customize-control-catchbase_theme_options-promotion_headline_button_background_color .color-picker-hex').iris('color', '#f2f2f2');
            $('#customize-control-catchbase_theme_options-promotion_headline_button_text_color .color-picker-hex').iris('color', '#666666');
            $('#customize-control-catchbase_theme_options-promotion_headline_button_hover_background_color .color-picker-hex').iris('color', '#f2f2f2');
            $('#customize-control-catchbase_theme_options-promotion_headline_button_hover_text_color .color-picker-hex').iris('color', '#666666');

            $('#customize-control-catchbase_theme_options-slider_background_color .color-picker-hex').iris('color', '#ffffff');

            $('#customize-control-catchbase_theme_options-featured_content_background_color .color-picker-hex').iris('color', '#ffffff');
            $('#customize-control-catchbase_theme_options-featured_content_title_color .color-picker-hex').iris('color', '#404040');
            $('#customize-control-catchbase_theme_options-featured_content_text_color .color-picker-hex').iris('color', '#404040');
            $('#customize-control-catchbase_theme_options-featured_content_link_color .color-picker-hex').iris('color', '#21759b');

            $('#customize-control-catchbase_theme_options-menu_background_color .color-picker-hex').iris('color', '#ffffff');
            $('#customize-control-catchbase_theme_options-menu_color .color-picker-hex').iris('color', '#666666');
            $('#customize-control-catchbase_theme_options-hover_active_color .color-picker-hex').iris('color', '#ffffff');
            $('#customize-control-catchbase_theme_options-hover_active_text_color .color-picker-hex').iris('color', '#21759b');
            $('#customize-control-catchbase_theme_options-sub_menu_background_color .color-picker-hex').iris('color', '#ffffff');
            $('#customize-control-catchbase_theme_options-sub_menu_text_color .color-picker-hex').iris('color', '#666666');

            $('#customize-control-catchbase_theme_options-secondary_menu_background_color .color-picker-hex').iris('color', '#f2f2f2');
            $('#customize-control-catchbase_theme_options-secondary_menu_color .color-picker-hex').iris('color', '#666666');
            $('#customize-control-catchbase_theme_options-secondary_hover_active_color .color-picker-hex').iris('color', '#f2f2f2');
            $('#customize-control-catchbase_theme_options-secondary_hover_active_text_color .color-picker-hex').iris('color', '#21759b');
            $('#customize-control-catchbase_theme_options-secondary_sub_menu_background_color .color-picker-hex').iris('color', '#f2f2f2');
            $('#customize-control-catchbase_theme_options-secondary_sub_menu_text_color .color-picker-hex').iris('color', '#666666');

            $('#customize-control-catchbase_theme_options-header_right_menu_background_color .color-picker-hex').iris('color', '#ffffff');
            $('#customize-control-catchbase_theme_options-header_right_menu_color .color-picker-hex').iris('color', '#666666');
            $('#customize-control-catchbase_theme_options-header_right_hover_active_color .color-picker-hex').iris('color', '#ffffff');
            $('#customize-control-catchbase_theme_options-header_right_hover_active_text_color .color-picker-hex').iris('color', '#21759b');
            $('#customize-control-catchbase_theme_options-header_right_sub_menu_background_color .color-picker-hex').iris('color', '#ffffff');
            $('#customize-control-catchbase_theme_options-header_right_sub_menu_text_color .color-picker-hex').iris('color', '#666666');

            $('#customize-control-catchbase_theme_options-footer_menu_background_color .color-picker-hex').iris('color', '#ffffff');
            $('#customize-control-catchbase_theme_options-footer_menu_color .color-picker-hex').iris('color', '#666666');
            $('#customize-control-catchbase_theme_options-footer_hover_active_color .color-picker-hex').iris('color', '#ffffff');
            $('#customize-control-catchbase_theme_options-footer_hover_active_text_color .color-picker-hex').iris('color', '#21759b');
            $('#customize-control-catchbase_theme_options-footer_sub_menu_background_color .color-picker-hex').iris('color', '#ffffff');
            $('#customize-control-catchbase_theme_options-footer_sub_menu_text_color .color-picker-hex').iris('color', '#666666');
        }
    });
})(jQuery);